## simgrid 3.18%2Bdfsg

=== examples/java/CMakeLists.txt ===
set(app-bittorrent_files        Main  Common  Connection MessageTask Peer  Tracker TrackerTask)
set(app-centralizedmutex_files  Main  Coordinator  GrantTask Node ReleaseTask  RequestTask)
set(app-masterworker_files      Main  Master Worker)
set(app-pingpong_files          Main  PingPongTask Receiver Sender)
set(app-tokenring_files         Main  RelayRunner)
set(async-waitall_files         Main  Receiver Sender)
set(async-yield_files           Main  Yielder)
set(async-dsend_files           Main  Receiver Sender)
set(cloud-masterworker_files    Main  Master Worker)
set(cloud-migration_files       Main  Daemon Test TestHostOnOff XVM)
set(dht-chord_files             Main  ChordTask  Common FindSuccessorAnswerTask  FindSuccessorTask
                                      GetPredecessorAnswerTask GetPredecessorTask Node  NotifyTask)
set(dht-kademlia_files          Main  Answer  Bucket  Common Contact FindNodeAnswerTask  FindNodeTask
                                      KademliaTask  Node  PingAnswerTask PingTask  RoutingTable)
set(trace-pingpong_files        Main  PingPongTask Receiver Sender)
set(energy-consumption_files    Main  EnergyConsumer)
set(energy-pstate_files         Main  PstateRunner)
set(energy-vm_files             Main  EnergyVMRunner)
set(io-file_files               Main  Node)
set(io-storage_files            Main  Client)
set(process-kill_files          Main  Killer  Victim)
set(process-migration_files     Main  Emigrant  Policeman)
set(process-startkilltime_files Main  Sleeper)
set(process-suspend_files       Main  DreamMaster  LazyGuy)
set(task-priority_files         Main  Test)


foreach (example app-bittorrent app-centralizedmutex app-masterworker app-pingpong app-tokenring async-yield async-waitall async-dsend
         cloud-migration cloud-masterworker dht-chord dht-kademlia energy-consumption energy-pstate energy-vm io-file io-storage
         process-kill process-migration process-startkilltime process-suspend task-priority trace-pingpong)
  string (REPLACE "-" "/" example_dir ${example})
  set (srcdir ${CMAKE_CURRENT_SOURCE_DIR}/${example_dir})
  foreach (filename ${${example}_files} )
    set( ${example}_sources "${${example}_sources}" "${srcdir}/${filename}.java")
  endforeach()

  if(enable_java)
    add_custom_command(
      COMMENT "Building java-${example}..."
      OUTPUT ${example_dir}/java-${example}_compiled
      DEPENDS ${example_sources} simgrid-java_jar ${SIMGRID_JAR}
      COMMAND ${CMAKE_COMMAND} -E make_directory ${example_dir}
      COMMAND ${JAVA_COMPILE} -classpath ${SIMGRID_JAR} -d ${CMAKE_CURRENT_BINARY_DIR} ${${example}_sources}
      COMMAND ${CMAKE_COMMAND} -E remove ${example_dir}/java-${example}_compiled
      COMMAND ${CMAKE_COMMAND} -E touch ${example_dir}/java-${example}_compiled
    )
    add_custom_target(java-${example} ALL DEPENDS ${example_dir}/java-${example}_compiled)
  endif()
  set(examples_src  ${examples_src}  ${${example}_sources})
  set(tesh_files    ${tesh_files}    ${CMAKE_CURRENT_SOURCE_DIR}/${example_dir}/${example}.tesh)
endforeach()

set(examples_src  ${examples_src}                                                                          PARENT_SCOPE)
set(tesh_files    ${tesh_files}                                                                            PARENT_SCOPE)
set(bin_files     ${bin_files}     ${CMAKE_CURRENT_SOURCE_DIR}/app/bittorrent/generate.py                  PARENT_SCOPE)
set(txt_files     ${txt_files}     ${CMAKE_CURRENT_SOURCE_DIR}/app/masterworker/README
                                   ${CMAKE_CURRENT_SOURCE_DIR}/cloud/migration/README                      PARENT_SCOPE)
set(xml_files     ${xml_files}     ${CMAKE_CURRENT_SOURCE_DIR}/app/bittorrent/bittorrent.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/app/centralizedmutex/centralizedmutex.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/app/masterworker/masterworker.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/dht/chord/chord.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/dht/kademlia/kademlia.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/process/startkilltime/startkilltime.xml
                                   ${CMAKE_CURRENT_SOURCE_DIR}/task/priority/priority.xml                  PARENT_SCOPE)

if(enable_java)
  foreach (example app-bittorrent app-centralizedmutex app-masterworker app-pingpong app-tokenring async-yield async-waitall async-dsend
           cloud-migration cloud-masterworker dht-chord dht-kademlia energy-consumption energy-pstate energy-vm io-file io-storage
           process-kill process-migration process-startkilltime process-suspend task-priority trace-pingpong)
    string (REPLACE "-" "/" example_dir ${example})
    ADD_TESH(java-${example}  --setenv srcdir=${CMAKE_HOME_DIRECTORY}/examples/java --setenv LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/lib --setenv classpath=${TESH_CLASSPATH} --cd ${CMAKE_BINARY_DIR}/examples/java/${example_dir} ${CMAKE_HOME_DIRECTORY}/examples/java/${example_dir}/${example}.tesh)
  endforeach()
endif()

=== debian/control ===
Source: simgrid
Section: science
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 chrpath,
 default-jdk (>= 2:1.7~),
 dh-python,
 doxygen,
 valgrind [amd64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 s390x x32],
 gfortran,
 liblua5.3-dev, lua5.3,
# Disabled for now: libboost-context-dev. Seems broken on amd64
 libboost-dev,
# libns3-dev, # Broken in Debian
# Needed to build the doc
 transfig, ghostscript, libjs-mathjax,
 python3,
Standards-Version: 4.1.2
Homepage: http://simgrid.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/simgrid.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/simgrid.git

Package: libsimgrid3.18
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1
Breaks: simgrid (<< 3.11), libsimgrid3.12, libsimgrid3.13, libsimgrid3.16, libsimgrid3.17
Replaces: simgrid (<< 3.11), libsimgrid3.12, libsimgrid3.13, libsimgrid3.16, libsimgrid3.17
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the dynamic libraries and runtime.

Package: simgrid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-mathjax,
Breaks: simgrid (<< 3.11)
Replaces: simgrid (<< 3.11)
Description: Documentation for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the documentation for both the C and the Java
 version of SimGrid.

Package: simgrid-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsimgrid3.18 (>= ${source:Version})
Recommends: simgrid-doc (>= ${source:Version})
Breaks: simgrid (<< 3.11)
Replaces: simgrid (<< 3.11)
Suggests: java-virtual-machine
Description: Java bindings for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains what you need to use SimGrid from the Java
 programming language.

Package: libsimgrid-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
  libsimgrid3.18 (= ${binary:Version}),
  simgrid-java (= ${binary:Version}),
Recommends: gcc, make, simgrid-doc (>= ${source:Version})
Conflicts: simgrid
Replaces: simgrid
Provides: simgrid
Description: Development files for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the development files that you need to build
 your own simulator on top of SimGrid (header files and helping scripts).
